未加星标

Redhat Linux 6.5安装Oracle ASMLib

字体大小 | |
[数据库(mysql) 所属分类 数据库(mysql) | 发布者 店小二04 | 时间 20170101 | 作者 红领巾 ] 0人收藏点击收藏

由于一个测试的需要,笔者需要在RedHat linux 6.5上安装ASMLib。

根据Oracle的要求,在redhat上安装ASMLIB,需要安装如下三个包:

oracleasm-support-version.arch.rpm
oracleasm-kernel-version.arch.rpm
oracleasmlib-version.arch.rpm

可是,Oracle为了推广她自己的ORACLE Linux操作系统,上面三个rpm包只在redhat linux 5及以前版本提供,在redhat linux 6上,不再提供oracleasm-kernel-version.arch.rpm这个包了,但是在ORACLE linux上,这个包是集成在UEK中的,这直接导致在redhat linux 6上无法安装oracleasm-support-version.arch.rpm和oracleasmlib-version.arch.rpm这两个rpm包。ORACLE真是奸商啊。

但是redhat也不能坐以待毙呀,她就开发了kmod-oracleasm-XXX.el6.x86_64.rpm这个rpm包,在redhat linux 6上需要先安装它,才能安装得了oracle提供的oracleasmlib-version.arch.rpm包,kmod-oracleasm-XXX.el6.x86_64.rpm这个包在redhat的官网上的经授权的用户可以下载得到。

下面是笔者的redhat 6.5上为了使用asmlib而安装的三个包:

(1)kmod-oracleasm-2.0.6.rh1-3.el6.x86_64.rpm

--注意redhat 6.5它的内核版本号是2.6.32,,所以装的kmod-oracleasm的版本号是2.0.6.rh1-3,如果内核版本低于2.6.32,则装的kmod-oracleasm的版本号应该是2.0.6.rh1-2或更低版本

(2)oracleasm-support-2.1.8-1.el6.x86_64.rpm

(3)oracleasmlib-2.0.4-1.el6.x86_64.rpm

更多Oracle相关信息见Oracle 专题页面 http://www.codesec.net/topicnews.aspx?tid=12

本文地址:http://www.codesec.net/Linux/2017-01/139922.htm


Redhat Linux 6.5安装Oracle ASMLib

本文数据库(mysql)相关术语:navicat for mysql mysql workbench mysql数据库 mysql 存储过程 mysql安装图解 mysql教程 mysql 管理工具

主题: Linux
分页:12
转载请注明
本文标题:Redhat Linux 6.5安装Oracle ASMLib
本站链接:http://www.codesec.net/view/530294.html
分享请点击:


1.凡CodeSecTeam转载的文章,均出自其它媒体或其他官网介绍,目的在于传递更多的信息,并不代表本站赞同其观点和其真实性负责;
2.转载的文章仅代表原创作者观点,与本站无关。其原创性以及文中陈述文字和内容未经本站证实,本站对该文以及其中全部或者部分内容、文字的真实性、完整性、及时性,不作出任何保证或承若;
3.如本站转载稿涉及版权等问题,请作者及时联系本站,我们会及时处理。
登录后可拥有收藏文章、关注作者等权限...
技术大类 技术大类 | 数据库(mysql) | 评论(0) | 阅读(74)